Subject: Re: running sshd with a different port than 22
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Mon, 22 Jul 2002 20:48:54 +0200

Daniel schrieb:

> "Gerrit P. Haase" <[email-masked]> wrote:
>> For some reason I want to run the sshd on port 21.

>> I invoked "ssh-host-config -p 21" and let the script install
>> sshd as a service (I'm on NT4).

>> After starting sshd as a service I can connect from the same
>> box with:

>> $ ssh -p 21 localhost

>> Now I tried to connect from a second (remote) box and I get this:

>> $ ssh -p 21 server
>> Read from socket failed: Connection reset by peer

>> I see that it is really running:
>> $ telnet server 21
>> Trying 192.168.5.5...
>> Connected to server.koeln.convey.de.
>> Escape character is '^]'.
>> SSH-1.99-OpenSSH_3.4p1

>> Is there some important issue I misunderstood?
>> Why is it not possible to connect sshd on port 21?

> My guess is maybe because have an FTP server running on your computer which
> by default will use port 21. Is it the FTP server associated with cygwin, or
> is it a 3rd party one? I am asking because I have had troubles with my
> cygwin ftp server lately.

I already checked this.  AFAICT I have no FTP server running here.  This
may be an issue at the third box, but IIRC I can ftp to every other FTP
server I would like to connect and have a server running at the same box
without problems.  Since I can start the service and connect from the
same box were sshd is running I don't know where to look next...

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/